Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.devices.getLiveToolsPing({
id: "string",
serial: "string",
});
export const merakiDevicesLiveToolsPingExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.devices.get_live_tools_ping(id="string",
serial="string")
pulumi.export("merakiDevicesLiveToolsPingExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/devices"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := devices.LookupLiveToolsPing(ctx, &devices.LookupLiveToolsPingArgs{
Id: "string",
Serial: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiDevicesLiveToolsPingExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Devices.GetLiveToolsPing.Invoke(new()
{
Id = "string",
Serial = "string",
});
return new Dictionary<string, object?>
{
["merakiDevicesLiveToolsPingExample"] = example.Apply(getLiveToolsPingResult => getLiveToolsPingResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.devices.DevicesFunctions;
import com.pulumi.meraki.devices.inputs.GetLiveToolsPingArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DevicesFunctions.getLiveToolsPing(GetLiveToolsPingArgs.builder()
.id("string")
.serial("string")
.build());
ctx.export("merakiDevicesLiveToolsPingExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:devices:getLiveToolsPing
arguments:
id: string
serial: string
outputs:
merakiDevicesLiveToolsPingExample: ${example.item}
Using getLiveToolsPing
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getLiveToolsPing(args: GetLiveToolsPingArgs, opts?: InvokeOptions): Promise<GetLiveToolsPingResult>
function getLiveToolsPingOutput(args: GetLiveToolsPingOutputArgs, opts?: InvokeOptions): Output<GetLiveToolsPingResult>def get_live_tools_ping(id: Optional[str] = None,
serial: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetLiveToolsPingResult
def get_live_tools_ping_output(id: Optional[pulumi.Input[str]] = None,
serial: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetLiveToolsPingResult]func LookupLiveToolsPing(ctx *Context, args *LookupLiveToolsPingArgs, opts ...InvokeOption) (*LookupLiveToolsPingResult, error)
func LookupLiveToolsPingOutput(ctx *Context, args *LookupLiveToolsPingOutputArgs, opts ...InvokeOption) LookupLiveToolsPingResultOutput> Note: This function is named LookupLiveToolsPing in the Go SDK.
public static class GetLiveToolsPing
{
public static Task<GetLiveToolsPingResult> InvokeAsync(GetLiveToolsPingArgs args, InvokeOptions? opts = null)
public static Output<GetLiveToolsPingResult> Invoke(GetLiveToolsPingInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetLiveToolsPingResult> getLiveToolsPing(GetLiveToolsPingArgs args, InvokeOptions options)
public static Output<GetLiveToolsPingResult> getLiveToolsPing(GetLiveToolsPingArgs args, InvokeOptions options)
fn::invoke:
function: meraki:devices/getLiveToolsPing:getLiveToolsPing
arguments:
# arguments dictionaryThe following arguments are supported:
getLiveToolsPing Result
The following output properties are available:
- Id string
- id path parameter.
- Item
Get
Live Tools Ping Item - Serial string
- serial path parameter.
- Id string
- id path parameter.
- Item
Get
Live Tools Ping Item - Serial string
- serial path parameter.
- id String
- id path parameter.
- item
Get
Live Tools Ping Item - serial String
- serial path parameter.
- id string
- id path parameter.
- item
Get
Live Tools Ping Item - serial string
- serial path parameter.
- id str
- id path parameter.
- item
Get
Live Tools Ping Item - serial str
- serial path parameter.
- id String
- id path parameter.
- item Property Map
- serial String
- serial path parameter.
Supporting Types
GetLiveToolsPingItem
- Ping
Id string - Id to check the status of your ping request.
- Request
Get
Live Tools Ping Item Request - Ping request parameters
- Results
Get
Live Tools Ping Item Results - Results of the ping request.
- Status string
- Status of the ping request.
- Url string
- GET this url to check the status of your ping request.
- Ping
Id string - Id to check the status of your ping request.
- Request
Get
Live Tools Ping Item Request - Ping request parameters
- Results
Get
Live Tools Ping Item Results - Results of the ping request.
- Status string
- Status of the ping request.
- Url string
- GET this url to check the status of your ping request.
- ping
Id String - Id to check the status of your ping request.
- request
Get
Live Tools Ping Item Request - Ping request parameters
- results
Get
Live Tools Ping Item Results - Results of the ping request.
- status String
- Status of the ping request.
- url String
- GET this url to check the status of your ping request.
- ping
Id string - Id to check the status of your ping request.
- request
Get
Live Tools Ping Item Request - Ping request parameters
- results
Get
Live Tools Ping Item Results - Results of the ping request.
- status string
- Status of the ping request.
- url string
- GET this url to check the status of your ping request.
- ping_
id str - Id to check the status of your ping request.
- request
Get
Live Tools Ping Item Request - Ping request parameters
- results
Get
Live Tools Ping Item Results - Results of the ping request.
- status str
- Status of the ping request.
- url str
- GET this url to check the status of your ping request.
- ping
Id String - Id to check the status of your ping request.
- request Property Map
- Ping request parameters
- results Property Map
- Results of the ping request.
- status String
- Status of the ping request.
- url String
- GET this url to check the status of your ping request.
GetLiveToolsPingItemRequest
GetLiveToolsPingItemResults
- Latencies
Get
Live Tools Ping Item Results Latencies - Packet latency stats
- Loss
Get
Live Tools Ping Item Results Loss - Lost packets
- Received int
- Number of packets received
- Replies
List<Get
Live Tools Ping Item Results Reply> - Received packets
- Sent int
- Number of packets sent
- Latencies
Get
Live Tools Ping Item Results Latencies - Packet latency stats
- Loss
Get
Live Tools Ping Item Results Loss - Lost packets
- Received int
- Number of packets received
- Replies
[]Get
Live Tools Ping Item Results Reply - Received packets
- Sent int
- Number of packets sent
- latencies
Get
Live Tools Ping Item Results Latencies - Packet latency stats
- loss
Get
Live Tools Ping Item Results Loss - Lost packets
- received Integer
- Number of packets received
- replies
List<Get
Live Tools Ping Item Results Reply> - Received packets
- sent Integer
- Number of packets sent
- latencies
Get
Live Tools Ping Item Results Latencies - Packet latency stats
- loss
Get
Live Tools Ping Item Results Loss - Lost packets
- received number
- Number of packets received
- replies
Get
Live Tools Ping Item Results Reply[] - Received packets
- sent number
- Number of packets sent
- latencies
Get
Live Tools Ping Item Results Latencies - Packet latency stats
- loss
Get
Live Tools Ping Item Results Loss - Lost packets
- received int
- Number of packets received
- replies
Sequence[Get
Live Tools Ping Item Results Reply] - Received packets
- sent int
- Number of packets sent
- latencies Property Map
- Packet latency stats
- loss Property Map
- Lost packets
- received Number
- Number of packets received
- replies List<Property Map>
- Received packets
- sent Number
- Number of packets sent
GetLiveToolsPingItemResultsLatencies
GetLiveToolsPingItemResultsLoss
- Percentage double
- Percentage of packets lost
- Percentage float64
- Percentage of packets lost
- percentage Double
- Percentage of packets lost
- percentage number
- Percentage of packets lost
- percentage float
- Percentage of packets lost
- percentage Number
- Percentage of packets lost
GetLiveToolsPingItemResultsReply
- Latency double
- Latency of the packet in milliseconds
- Sequence
Id int - Sequence ID of the packet
- Size int
- Size of the packet in bytes
- Latency float64
- Latency of the packet in milliseconds
- Sequence
Id int - Sequence ID of the packet
- Size int
- Size of the packet in bytes
- latency Double
- Latency of the packet in milliseconds
- sequence
Id Integer - Sequence ID of the packet
- size Integer
- Size of the packet in bytes
- latency number
- Latency of the packet in milliseconds
- sequence
Id number - Sequence ID of the packet
- size number
- Size of the packet in bytes
- latency float
- Latency of the packet in milliseconds
- sequence_
id int - Sequence ID of the packet
- size int
- Size of the packet in bytes
- latency Number
- Latency of the packet in milliseconds
- sequence
Id Number - Sequence ID of the packet
- size Number
- Size of the packet in bytes
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
